# (c) Copyright 2008-2015 Synapse Wireless, Inc.
"""System Info IDs - used in 'getInfo()' and 'getStat()' calls"""

# Types
SI_TYPE_VENDOR               = 0
SI_TYPE_RADIO                = 1
SI_TYPE_CPU                  = 2
SI_TYPE_PLATFORM             = 3
SI_TYPE_BUILD                = 4
SI_TYPE_VERSION_MAJOR        = 5
SI_TYPE_VERSION_MINOR        = 6
SI_TYPE_VERSION_BUILD        = 7
SI_ENCRYPTION_INFO           = 8
# SNAP 2.4 Additions
SI_RPC_PACKET_SENT_ID        = 9
SI_RPC_IS_MULTICAST_ID       = 10
SI_RPC_IS_MULTICAST = SI_RPC_IS_MULTICAST_ID # (just an alias)
SI_MULTI_PKT_TTL_ID          = 11
SI_MULTI_PKT_TTL = SI_MULTI_PKT_TTL_ID # (just an alias)
SI_SMALL_STRS_REMAINING      = 12 # Embedded nodes only
SI_MEDIUM_STRS_REMAINING     = 13 # Embedded nodes only
SI_ROUTE_TABLE_SIZE          = 14
SI_ROUTES_IN_TABLE           = 15
SI_BANK_FREE_SPACE           = 16 # Embedded nodes only
# SNAP 2.5 Additions
SI_RF200A_FLAG               = 17 # Embedded nodes only
SI_STDIN_HOOK_STATUS         = 18 # Embedded nodes only
# SNAP 2.6 Additions
SI_TINY_STRS_REMAINING       = 19 # Embedded nodes only
SI_LARGE_STRS_REMAINING      = 20 # Embedded nodes only
SI_SCRIPT_FIRST_RUN_STATUS   = 21 # Embedded nodes only
SI_SCRIPT_BASE_ADDR          = 22 # Embedded nodes only
SI_SCRIPT_BASE_BANK          = 23 # Embedded nodes only
SI_RPC_IS_DIRECTED_MULTICAST = 24
SI_DELAY_FACTOR              = 25 # Directed Multicast only
SI_ADDRESS_INDEX             = 26 # Directed Multicast only
SI_MULTI_PKT_GROUP           = 27 # Multicast or Directed Multicast only
SI_MULTI_PKT_ORIGINAL_TTL    = 28 # Directed Multicast only




# Vendors
SI_VENDOR_SYNAPSE      = 0
SI_VENDOR_FREESCALE    = 2 # value = 1 skipped
SI_VENDOR_CEL          = 3
SI_VENDOR_ATMEL        = 4
SI_VENDOR_SILICON_LABS = 5

# Radios
SI_RADIO_802_15_4 = 0
SI_RADIO_NONE     = 1
SI_RADIO_900      = 2

# CPUs
SI_CPU_MC9S08GT60A = 0
SI_CPU_8051        = 1
SI_CPU_MC9S08QE    = 2
SI_CPU_COLDFIRE    = 3
SI_CPU_ARM7        = 4
SI_CPU_ATMEGA      = 5
SI_CPU_SI1000      = 6
SI_CPU_SI1000      = 6
SI_CPU_X86 = 7
SI_CPU_UNKNOWN = 8
SI_CPU_SPARC_LEON = 9
SI_CPU_ARM_CORTEX_M3 = 10
SI_CPU_ATMEGA128RFR2 =  12  # Depricated
SI_CPU_ATMEGA1284RFR2 = 13  # Depricated


# Platforms
SI_PLATFORM_RF_ENGINE           = 0
SI_PLATFORM_CEL_ZIC2410         = 3 # values [1, 2, 4] skipped
SI_PLATFORM_MC1321X             = 5
SI_PLATFORM_ATMEGA128RFA1       = 6
SI_PLATFORM_SNAPCOM             = 7
SI_PLATFORM_SI1000              = 8
SI_PLATFORM_MC1322X             = 9
SI100X_FHSS                     = 11 # value [10, 12] skipped
SI_PLATFORM_SI100X_KADEX        = 11
SI_PLATFORM_RF300               = 13
SI_PLATFORM_RF200_PFM           = 14
SI_PLATFORM_SM300               = 15
SI_PLATFORM_SM301               = 16
SI_PLATFORM_SM200_PFM           = 17
SI_PLATFORM_RN_G2C547           = 18
SI_PLATFORM_RF266_PFM           = 19
SI_PLATFORM_STM32W108xB         = 20
SI_PLATFORM_SM222_PFM           = 25  # value [21, 22, 23, 24] skipped
SI_PLATFORM_ATmega128RFR2_PFM   = 26
SI_PLATFORM_SM220UF1_PFM        = 27
SI_PLATFORM_ATmega1284RFR2_PFM  = 28
SI_PLATFORM_CC1310              = 32

# Builds
SI_BUILD_DEBUG   = 0
SI_BUILD_RELEASE = 1

# Encryptions
SI_NO_ENCRYPTION     = 0
SI_AES128_ENCRYPTION = 1
SI_SNAP_ENCRYPTION   = 2

# getStat() Enumerations
STAT_DS_NULL_TX_BUFFERS               = 0
STAT_DS_UART0_RX_BUFFERS              = 1
STAT_DS_UART0_TX_BUFFERS              = 2
STAT_DS_UART1_RX_BUFFERS              = 3
STAT_DS_UART_TX_BUFFERS               = 4
STAT_DS_TRANSPARENT_RX_BUFFERS        = 5
STAT_DS_TRANSPARENT_TX_BUFFERS        = 6
STAT_DS_PACKET_SERIAL_RX_BUFFERS      = 7
STAT_DS_PACKET_SERIAL_TX_BUFFERS      = 8
STAT_DS_RADIO_RX_BUFFERS              = 9
STAT_DS_RADIO_TX_BUFFERS              = 10
STAT_RADIO_FORWARDED_UNICASTS         = 11
STAT_PACKET_SERIAL_FORWARDED_UNICASTS = 12
STAT_RADIO_FORWARDED_XCASTS           = 13
STAT_PACKET_SERIAL_FORWARDED_XCASTS   = 14
STAT_PACKET_SERIAL_RETRIES            = 15 # Debug Builds Only
STAT_PACKET_SERIAL_FAILURES           = 16 # Debug Builds Only
STAT_PACKET_SERIAL_RX_ERRORS          = 17 # Debug Builds Only
STAT_PACKET_SERIAL_RX_BAD_CKSUM       = 18 # Debug Builds Only
STAT_PACKET_SERIAL_NUM_RX_ACKS        = 19 # Debug Builds Only
STAT_PACKET_SERIAL_NUM_RX_DUPS        = 20 # Debug Builds Only
STAT_PACKET_SERIAL_NO_ROOMS           = 21 # Debug Builds Only
